import { OverlayManager } from './OverlayManager';
import { AnnotationEditor, AnnotationEditorUIManager } from '../../pdfjs';
import { EventBus } from '../../eventbus';
export declare class AltTextManager {
    readonly options: {
        dialog: HTMLDialogElement;
        optionDescription: HTMLInputElement;
        optionDecorative: HTMLInputElement;
        textarea: HTMLTextAreaElement;
        cancelButton: HTMLButtonElement;
        saveButton: HTMLButtonElement;
    };
    readonly container: HTMLElement;
    readonly overlayManager: OverlayManager;
    readonly eventBus: EventBus;
    private boundUpdateUIState;
    private boundSetPosition;
    private boundOnClick;
    private currentEditor?;
    private hasUsedPointer;
    private uiManager?;
    private previousAltText?;
    private svgElement?;
    private rectElement?;
    private telemetryData?;
    constructor(options: {
        dialog: HTMLDialogElement;
        optionDescription: HTMLInputElement;
        optionDecorative: HTMLInputElement;
        textarea: HTMLTextAreaElement;
        cancelButton: HTMLButtonElement;
        saveButton: HTMLButtonElement;
    }, container: HTMLElement, overlayManager: OverlayManager, eventBus: EventBus);
    get _elements(): any;
    createSVGElement(): void;
    editAltText(uiManager: AnnotationEditorUIManager, editor?: AnnotationEditor): Promise<void>;
    private setPosition;
    private finish;
    private close;
    private updateUIState;
    private save;
    private onClick;
    private removeOnClickListeners;
    destroy(): void;
}
