import { Plugin, ToolbarItemType } from '../plugin';
import { SidebarInitializer } from './sidebar-initializer';
import { SidebarItem } from './sidebar-item';
import { SidebarManager } from './sidebar-manager';
export type SidebarPluginParams = {
    items?: SidebarItem[];
    current?: string;
};
export declare class SidebarPlugin extends Plugin<SidebarPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    protected initializers: (typeof SidebarInitializer)[];
    private _sidebarManager?;
    get sidebarManager(): SidebarManager | undefined;
    protected init(): Promise<void>;
    protected onLoad(params?: SidebarPluginParams): void;
    protected destroy(): void;
}
