import { EventBus } from '../../bus';
import { IL10n } from '../../l10n';
import { OptionalContentConfig, PageViewport } from '../../pdfjs';
import { LayerPropertiesManager, Page, PageColors, RenderingQueue, RenderView } from '../../viewer';
export declare class Thumbnail extends RenderView {
    readonly options: {
        container: HTMLDivElement;
        eventBus: EventBus;
        l10n: IL10n;
        layerProperties: LayerPropertiesManager;
        id: number;
        viewport: PageViewport;
        scale?: number;
        rotation?: number;
        renderingQueue?: RenderingQueue;
        optionalContentConfigPromise?: Promise<OptionalContentConfig>;
        enableHWA?: boolean;
        pageColors?: PageColors;
    };
    private readonly anchor;
    private readonly placeholderImg;
    private pageLabel?;
    private image?;
    private canvas?;
    private canvasWidth;
    private canvasHeight;
    resume: (() => void) | null;
    constructor(options: {
        container: HTMLDivElement;
        eventBus: EventBus;
        l10n: IL10n;
        layerProperties: LayerPropertiesManager;
        id: number;
        viewport: PageViewport;
        scale?: number;
        rotation?: number;
        renderingQueue?: RenderingQueue;
        optionalContentConfigPromise?: Promise<OptionalContentConfig>;
        enableHWA?: boolean;
        pageColors?: PageColors;
    });
    protected updateDimensions(): void;
    protected setViewport(scale?: number, clone?: boolean): void;
    destroy(): void;
    reset(): void;
    update({ rotation }: {
        rotation?: number;
    }): void;
    private convertCanvasToImage;
    markAsRenderingFinished(dispatchEvent?: boolean): void;
    protected render(): Promise<import('pdfjs-dist/types/src/display/api').RenderTask>;
    setImage(page: Page): void;
    setPageLabel(label?: string): void;
}
